Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
QueryGroupByTest::testAggregateCountNumeric function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests aggregate count feature with a numeric field.
QueryGroupByTest::testGroupByAverage function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests the average aggregation function.
QueryGroupByTest::testGroupByBaseField function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests grouping on base field.
QueryGroupByTest::testGroupByCount function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests the count aggregation function.
QueryGroupByTest::testGroupByCountOnlyFilters function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests group by with filters.
QueryGroupByTest::testGroupByFieldWithCardinality function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests grouping a field with cardinality > 1.
QueryGroupByTest::testGroupByMax function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests the max aggregation function.
QueryGroupByTest::testGroupByMin function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests the min aggregation function.
QueryGroupByTest::testGroupByNone function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests aggregation with no specific function.
QueryGroupByTest::testGroupBySum function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests the sum aggregation function.
QueryGroupByTest::testGroupByWithFieldsNotExistingOnBundle function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests group by with a non-existent field on some bundle.
QueryInterface::accessCheck function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Enables or disables access checking for this query.
QueryInterface::allRevisions function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Queries all the revisions.
QueryInterface::currentRevision function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Limits the query to only default revisions.
QueryInterface::exists function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Queries for a non-empty value on a field.
QueryInterface::latestRevision function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Queries the latest revision.
QueryInterface::notExists function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Queries for an empty field.
QueryInterface::sort function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Sorts the result set by a given field.
QueryInterface::tableSort function core/lib/Drupal/Core/Entity/Query/QueryInterface.php Enables sortable tables for this query.
QueryOptionsTest class core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Tests setting the query options.
QueryOptionsTest.php file core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php
QueryOptionsTest::$defaultTheme property core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php The theme to install as the default for testing.
QueryOptionsTest::$modules property core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Modules to install.
QueryOptionsTest::$testViews property core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Views used by this test.
QueryOptionsTest::testStoreQuerySettingsOverride function core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Test that query overrides are stored.
QueryParameter::buildOptionsForm function core/modules/views/src/Plugin/views/argument_default/QueryParameter.php Provide the default form for setting options.
QueryParameter::defineOptions function core/modules/views/src/Plugin/views/argument_default/QueryParameter.php Retrieve the options when this is a new access control plugin.
QueryParameter::getCacheContexts function core/modules/views/src/Plugin/views/argument_default/QueryParameter.php The cache contexts associated with this object.
QueryParameterTest class core/modules/views/tests/src/Unit/Plugin/argument_default/QueryParameterTest.php Tests Drupal\views\Plugin\views\argument_default\QueryParameter.
QueryParameterTest.php file core/modules/views/tests/src/Unit/Plugin/argument_default/QueryParameterTest.php
QueryParameterTest::providerGetArgument function core/modules/views/tests/src/Unit/Plugin/argument_default/QueryParameterTest.php Provides data for testGetArgument().
QueryParameterTest::testGetArgument function core/modules/views/tests/src/Unit/Plugin/argument_default/QueryParameterTest.php Tests the getArgument() method.
QueryParameterWorkspaceNegotiator class core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Defines the query parameter workspace negotiator.
QueryParameterWorkspaceNegotiator.php file core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::$persist property core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Whether the negotiated workspace should be persisted.
QueryParameterWorkspaceNegotiator::applies function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Checks whether the negotiator applies to the current request or not.
QueryParameterWorkspaceNegotiator::getActiveWorkspaceId function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Performs workspace negotiation.
QueryParameterWorkspaceNegotiator::getQueryOptions function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Returns the query options used by this negotiator.
QueryParameterWorkspaceNegotiator::getQueryToken function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Calculates a token based on a workspace ID.
QueryParameterWorkspaceNegotiator::setActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Notifies the negotiator that the workspace ID returned has been accepted.
QueryParameterWorkspaceNegotiator::unsetActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Unsets the negotiated workspace.
QueryPluginBase class core/modules/views/src/Plugin/views/query/QueryPluginBase.php Base plugin class for Views queries.
QueryPluginBase.php file core/modules/views/src/Plugin/views/query/QueryPluginBase.php
QueryPluginBase::$groupOperator property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Controls how the WHERE and HAVING groups are put together.
QueryPluginBase::$limit property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Stores the limit of items that should be requested in the query.
QueryPluginBase::$offset property core/modules/views/src/Plugin/views/query/QueryPluginBase.php The OFFSET on the query.
QueryPluginBase::$pager property core/modules/views/src/Plugin/views/query/QueryPluginBase.php A pager plugin that should be provided by the display.
QueryPluginBase::addSignature function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Add a signature to the query, if such a thing is feasible.
QueryPluginBase::alter function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Let modules modify the query just prior to finalizing it.
QueryPluginBase::build function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Builds the necessary info to execute the query.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.